Together AI SDK (Python)
import httpx
from together import Together
client = Together()
# The SDK has no dedicated method for this endpoint yet, so call it with
# the client's generic GET helper. The API redirects to a signed URL,
# which the client follows, so the response body is the file itself.
response = client.get("/v1/deployments/storage/model.tar.gz", cast_to=httpx.Response)
with open("model.tar.gz", "wb") as f:
f.write(response.content)import { writeFile } from "node:fs/promises";
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper. The API redirects to a signed URL,
// which the client follows, so the response body is the file itself.
const response = await client.get("/v1/deployments/storage/model.tar.gz").asResponse();
await writeFile("model.tar.gz", Buffer.from(await response.arrayBuffer()));
import { writeFile } from "node:fs/promises";
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper. The API redirects to a signed URL,
// which the client follows, so the response body is the file itself.
const response = await client.get("/v1/deployments/storage/model.tar.gz").asResponse();
await writeFile("model.tar.gz", Buffer.from(await response.arrayBuffer()));
curl --request GET \
--url https://api.together.ai/v1/deployments/storage/{filename} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/deployments/storage/{filename}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/deployments/storage/{filename}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/deployments/storage/{filename}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/deployments/storage/{filename}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{}{}{}Storage
Download a file
Download a file by redirecting to a signed URL
GET
/
v1
/
deployments
/
storage
/
{filename}
Together AI SDK (Python)
import httpx
from together import Together
client = Together()
# The SDK has no dedicated method for this endpoint yet, so call it with
# the client's generic GET helper. The API redirects to a signed URL,
# which the client follows, so the response body is the file itself.
response = client.get("/v1/deployments/storage/model.tar.gz", cast_to=httpx.Response)
with open("model.tar.gz", "wb") as f:
f.write(response.content)import { writeFile } from "node:fs/promises";
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper. The API redirects to a signed URL,
// which the client follows, so the response body is the file itself.
const response = await client.get("/v1/deployments/storage/model.tar.gz").asResponse();
await writeFile("model.tar.gz", Buffer.from(await response.arrayBuffer()));
import { writeFile } from "node:fs/promises";
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper. The API redirects to a signed URL,
// which the client follows, so the response body is the file itself.
const response = await client.get("/v1/deployments/storage/model.tar.gz").asResponse();
await writeFile("model.tar.gz", Buffer.from(await response.arrayBuffer()));
curl --request GET \
--url https://api.together.ai/v1/deployments/storage/{filename} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/deployments/storage/{filename}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/deployments/storage/{filename}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/deployments/storage/{filename}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/deployments/storage/{filename}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{}{}{}Was this page helpful?
⌘I